AutoCad :: Paste And Insert - Block Disappear From Screen
Jul 19, 2012
When I want to insert a Block it disapear from the screen, same thing if I do copy with base point it disappear when I paste it. It's an existing DWG, some one worked on it few month ago, in a new file I don't have any problem.
I have been using copy paste with base point on block from drawing to drawing but sometimes the block insert but it is not showing. I go to insert block is there but does not show in the drawing. Then tried to purge it and it does not let me because it is in the drawing but I can find it any where. Then I tried to do the insert block look for the block and inserted as a block and the same result.
Having a problem with Paste and Paste as Block in the right mouse click drop down window.
In the right Mouse click drop down window the Paste, Paste as Block and the Paste to Original Coordinates are grayed out.
The copy with Base Point works, as does the Ctrl+V and Ctrl+Shift+V and repeat Paste Block from the recent Input drop down selection. Why the paste commands are grayed out?
I write a program, this program needs to insert some standard illustrations. I made these standard illustrations into different blocks. And I store these blocks in a dwg file. Everytime I need to insert some illustrations, I just click the mouse on the current drawing, I want the illustration inserted. These means the following points:
(1) Import the blocks to the current drawing, if the blocks have already been imported, then do nothing.
(2) Specify the insert point by clicking the mouse, and I want the block's insert point to coincide with the mouse clicking point.
I have created a dynamic block with a stretch, flip and rotate. Everything works great in its file. When I insert it in another file, the grips move but the block does not change.
I am learning autolips and i found a problem that i can´t solved.
(vl-load-com)(defun c:pmb ( / ss ent pt )(prompt " selec block : ")(setq ss (ssget '((0 . "INSERT")))) (setq ent (ssname ss 0)), (setq pt (cdr (assoc 10 (entget ent)))) (command "point" pt)) wich this code you select one block and insert one point at insert point´s block.
which this other code yo select all block and insert all point.... but in one block
I have a block that i want to insert several times and revised each one to be different to do this i would have to insert it and rename the blocks that come in and then reinsert i would like to insert and have a lisp explode the main block and rename the other 2 blocks with a suffix at the end depending on how many times its in the drawing... can this even be done? My original block name that will be first inserted is "BENT PULLEY NOTES" it needs to explode after i drop it in and then there are 2 blocks within that called "Bent Pulley" and "Bent Pulley DYN" that i was hoping to keep the names but add a number at the end depending on how many are in the drawing already...
here is a lisp that i have found... it would work if i didn't have nested blocks and only wanted the one block to be insert and not explode...
(defun c:Test (/ e i name Bname ) (setq e nil) (command "_.-insert" "Drawing1.dwg" pause "" "" "") (if (setq e (entlast))
I have a pallete button that inserts a block then a drag jig to position it. The block is first inserted at 0,0 and dragged.
The block at 0,0 remains visible while a "duplicate" block is dragged. Is there a way to hide the original?
Insert block then calling the drag jig.. AddViewBlock(New Point3d(0, 0, 0), 0, ColorIndex, trans) psr = ed.SelectLast() DragView(psr.Value, "Bar Insertion Point")
In the DragView procedure I have:
Public Sub DragView(ByVal SS As SelectionSet, ByVal sPrompt As String) '.... Dim ppr As PromptPointResult = ed.Drag(SS, vbLf & sPrompt, New DragCallback(AddressOf MyDragCallback))
I am trying to insert a dynamic block and position and stretch the block, using the linear parameters, depending on values entered into a form.
I managed to create a form that would draw a series of boxes. And i managed to create a routine that would insert a block and size it depending on fixed values but i can't link the 2 together.
I am using Autocad 2007 I made several blocks with att. And I use this drawing and copy it to the samples/design center folder so that I can see the blocks that I created on the Design center window for use on different other drawings.
My problem is that if I make a cange on the ORIGINAL block drawing how can I update the inserted blocks on the other drawings? I try to delete the block from the local drawing insert block list (is this possible?) to paste the block again with the new changes, but somehow even when I grab the new modified block to inserted again when I do it, it takes the shape of the old version!
Is it possible to create a block to insert on our title block that will populate itself with a list of drawings and names?
I know this is possible through the use of LISP and the Sheet Set Manager, but could this be done through a combination of attributes and fields (we want the same functionality in LT).
Editing attributed blocks causes them to disappear from the screen. Edits include changing attribute values, moving attributes, or moving the entire block. The block is not gone, so saving and re-opening the drawing will display it again, but this is a terrible workaround when moving and editing many blocks in a large drawing.
We do not use annotative or dynamic blocks, so these are just good old-fashioned attributed blocks.This behaviour is being seen on both Windows 7 and older Windows XP systems with various hardware specs, and it is only in the 2013 product. We still have some stations running Map 2012 that do not experience this issue even when working in the same drawings.
Drawing contains a block with "BlkName". I want to insert blockreferences of this existing block using .Net. All shows how to insert a new block and then use the BlockID returned by the insert function. In my case I only have the block name and there is no Block id. How to get it or how to create a block reference of an existing block?
Basically, when I Insert Edge Loops this morning, all of a sudden part of my object disappear. how to use the Hypergraph or how to get rid of whatever is causing this glitch.
What is causing my EG Data Reference Surface to disappear on screen and Profile goes to crap? I've noticed this twice on same project in separate drawings. If I go to Toolspace and synchronize then it appears back on screen.
First dwg: I created a Pump Station Site Plan and data referenced in my surface and pipe network. I save and close then reopen and EG is gone until I synchronize.
Second dwg: I created a Railroad Crossing Exhibit showing plan and profile. I data referenced in my surface and pipe network. Same thing...save, close, reopen and I have to synchronize it to have plan and profile to appear ok.
This isn't good when I have .dsd files that I typically plot my drawing package from. I sent multiple sets of drawings to the plotter and all my Pump Station Site Plans were missing the surface contours. For this sheet, I had to synchronize and send separate plots just to have contours appear.
For some time I was using CorelDraw 12 with Windows XP and Excel 2007.I normally make some tables in Excel which I copy and paste into Corel using "Paste special"/Picture/Enhanced Metafile. In Windows XP there was no problem. Since I switched to Windows 7, I have the following problems:
- The font Wingdings 3 comes out as Arial.
- The second problem is a very strange thing: Some characters, such as ,-"; , always at the END of the line, just dissapear. It happens sometimes, not always, and I can't see absolutely no logic in it: I copy the same thing, paste it several times, and sometimes the comma comes out, sometimes not. I remember that this happened to me ONCE, long time ago, when I was still using XP, but then I restarted Corel and it stopped making problems. But now, with Windows 7, it happens almost all the time. I tried it on a few different PCs and I even tried it with Corel X4. Always the same problem.
i'm trying to work with a block by changing the x or y value in properties -- but when i do, the block disappears. i don't work with blocks very often, but someone i'm working with sent me his blocks and i can change the height or width very easily in the properties window -- and his blocks don't disappear!
I used the Block Properties table in dynamic block editor. I picked 3 out of 6 atributes to include in the Block properties table and I inserted the predefined values. When I view the block in testblock edditor everything works. Everything works also in the same drawing were the block was created. I can choose the predefined block vallues from the dropdown list.
The problem is that when I save the block in the block edditor as new drawing, for the purpose to use this and include this block in another drawing, then the attributes witch were associated with the Block Properties table are missing. They are also missing when I open the block editor in the new drawing. The attributes that were not associated with the table exist.
I have added 2 files. 1 with the block created in the same drawing and another where the block was saved an inserted to a new drawing.
We have a large AutoCAD file received from a survey company consisting of one large block that I want to explode and edit. When I attempt to explode it, a portion of it disappears.
This is the fifth version of the file that we have received. The previous versions did not have that portion at all, so we had to keep sending back for it.
What's been tried: 1. Turned on/unfroze all layers and zoom extents - No change 2. Tried both Burst and Explode - No change 3. Tried to copy/paste into a new drawing. - "Copy to Clipboard Failed" 4. Inserted drawing as a block into a new drawing. - The disappearing portion did not seem to be inserted along with the rest of the drawing 5. Attempted to edit the block. - "This block contains proxy objects and cannot be edited in the Block Editor"
Is it just me or do the actions associated with parameters disappear on occasion from the block editor? Sometimes a regen will make them reappear, other times not. Closing/opening the block editor is one way to make them visible again (worked a few times at least).
I'll be working on a photo in the develop mod and after making a change the picture will disappear then reappear - kind of like a flickering. It doesn't do it everytime but often enough. If I close the program and restart it this typically works.
Win 7 64x i7 940 quad 16 meg of ram nVidia 285 GTX
I should have plenty of horsepower to run this program. I still have Lightroom 3 on the computer and don't have this problem.
As soon as I click on the main screen, my toolbox and every windows disappear. I must click one after one again and again. I use 2.8.2. and Win7. It is very troublesome. What can I do?
I have to write a procedure for insert a block with attributes from an external file and set the annotative scale block to current scale. where I cand find an examples?
is there a way to insert a block in the drawing, but with a different name, so it can be edited separately?
I have block A in the drawing and i want to insert it again, but then edit it while the ones already inserted stay unchanged. So i would need it to be inserted as A_1.
I defined a 3d block..It is defined along X axis...I want to insert it into a ucs by picking 2 points( insertion, and direction) and that Block Z axis to be parallel with UCS z axis
I insert the block first then I rotated it..I have got this
P1 is insertion poit
P2 is the point for direction
P1 world is p1.transformby(current ucs)
Dim Xax_block As Vector3d = Block1.BlockTransform.CoordinateSystem3d.Xaxis.TransformBy(Block1.BlockTransform) Dim VectorP12 As Vector3d = P1_world.GetVectorTo(P2_world) Dim RotAX As Vector3d = Xax_block.CrossProduct(VectorP12) ' here is calculating the perpendicular vector between x axis of the block and the vector from point1 and point2 Dim Rotation1 As Double = Xax_block.GetAngleTo(VectorP12) Block1.TransformBy(Matrix3d.Rotation(Rotation1, RotAX, P1_world))
By picking 2 points is inserting the block along the line between 2 points...But is not having as normal the z axis of the ucs..
I have a problem with inserting 3d blocks in autocad 2011. While inserting a block, i specify insertion point on-screen and blocks seems to be inserted to right place but block itself is far away from the drawing (eg. if i type zoom --> extens = drawing and inserted block are totally different locations on model screen.)
I have AutoCAD 2013. I am trying to paste a block from another drawing to the one I am working on but when I paste the block, the color is different than what it should be. The drawing that I am trying to paste it on was already created for me.
I have encountered the paste as block command of using AutoCAD 2012. i exploded the block and modified. After that i select the objects that i exploded and want to create another block again. I could do it before now most of the time when i select the objects and used the commond option " copy with base point" . When i select the base poing it took about 7-8 seconds( which is supposed to be very long) and in the commond line it display as Img-1. After i selected the base point..again it will take a few seconds and display the following Img-2 & Img-3. And my autocad performance is really slow nowadays. Any option i can do for faster speed? Especially whenever i select the object i hv to wait about 3 seconds.